<?php

if (!defined('ABSPATH')) {
    exit;
}

class McisoeSendEmailAdmin
{
    public function __construct()
    {
        // Trigger on paid orders
        add_action('woocommerce_order_status_on-hold_to_processing_notification', array($this, 'trigger'));
        add_action('woocommerce_order_status_pending_to_processing_notification', array($this, 'trigger'));
        add_action('woocommerce_order_status_failed_to_processing_notification', array($this, 'trigger'));
    }

    //================================================================
    // Defines the Trigger function
    //================================================================
    // Define la función Trigger

    public function trigger($order_id)
    {
        $order = wc_get_order($order_id);

        require 'get-db-mcisoe.php'; // include data of DB  // Incluir los datos de la Base de datos

        if (
            ($get_select_email_admin == 1 && !empty($order->get_shipping_address_1())) ||
            ($get_select_email_admin == 1 && empty($order->get_shipping_address_1()) && $get_replace_address == 1)
        ) { // if checkbox selection && shipping address exists  // Si la casilla de selección está marcada y hay dirección de envío

            // abort if no order ID is present  // Aborta si no hay ID de pedido
            if (!$order_id) {
                return;
            }
            //===============================================
            // GET DETAILS
            //===============================================

            // Get $order object from order ID
            if ($order_id) {

                // Get $order object from order ID
                $order = wc_get_order($order_id);

                //  START Get Premium fields /////////////////////////////////////////////////////
                if (password_verify("g756eyTRk51dJ?&k_)m876", $get_pass_premium_form_sequre)) { // Check password premium
                    if ($get_show_order_number == '1') {
                        $order_number       = $order->get_id();
                        $field_order_number = __("Order number: ", "supplier-order-email");
                        $field_order_number .= $order_number;
                    }
                    $header_color = $get_header_color;
                    $header_email = '<h1 style="background-color:' . $header_color . '; color:#ffffff; text-align:center; padding:20px 15px; font-size:25px">' .
                    get_bloginfo('name', 'display') .
                        '</h1>';

                    if ($get_show_customer_email == 1 && $get_hide_customer != 1) {
                        $customer_email = sanitize_email($order->get_billing_email());
                    } else {
                        $customer_email = "";
                    }

                    if ($order->get_customer_note() && $get_show_notes == 1 && $get_hide_customer != 1) {
                        $customer_note = '<strong>' . __("Note:", "supplier-order-email") . '</strong>' . " " . sanitize_text_field($order->get_customer_note()) . '<br>';
                    }

                    //Get order custom fields
                    //Delivery date:
                    if (get_post_meta($order_id, '_delivery_date', true)) {
                        $delivery_date = '<strong>' . __("Delivery date:", "supplier-order-email") . '</strong>' . " " . sanitize_text_field(get_post_meta($order_id, '_delivery_date', true)) . '<br><br><br>';
                    }
                    ///////////////////////////
                }

                isset($header_email) ? $header_email = $header_email : $header_email = "";

                // END Get Premium fields ////////////////////////////////////////////////////////
                $message = $header_email;
                $message .= __("An email has been sent to each of your suppliers with the details of the order and the products to be shipped.", "supplier-order-email");
                $message .= '<br><br><h4>';
                $message .= $field_order_number;
                $message .= '</h4>';

                //  START Get Premium fields /////////////////////////////////////////////////////////
                if ($get_hide_customer == 1) {

                    // Do not include customer data if option hide_customer is checked

                } else {
                    // END Get Premium fields ////////////////////////////////////////////////////////////
                    $message .= '<h4>';
                    $message .= __("Order shipping address:", "supplier-order-email");
                    $message .= '</h4>';

                    if ($get_replace_address == 1 && empty($order->get_shipping_address_1())) { // if not have shipping address, use billing address
                        $message .= $order->get_formatted_billing_address();
                        $message .= '<br>' . sanitize_text_field($order->get_billing_phone());
                        $message .= '<br>' . $customer_email . '<br><br>';

                        $message .= '<br>';
                    } else {
                        $message .= $order->get_formatted_shipping_address();

                        if (!empty($order->get_shipping_address_1())) {
                            if ($order->get_shipping_phone() != null && !empty($order->get_shipping_phone())) {
                                $message .= '<br>' . sanitize_text_field($order->get_shipping_phone());
                            } else {
                                $message .= '<br>' . sanitize_text_field($order->get_billing_phone());
                            }
                            $message .= '<br>' . $customer_email . '<br><br>';
                        }
                        $message .= '<br>';
                    }
                    $message .= $delivery_date;
                    $message .= $customer_note;

                    $message .= '<br>' . '-------------------------------' . '<br>';

                }

                // Access to order items  // Accedemos a los items del pedido

                $items = $order->get_items(); // Get items of Order

                // Get supplier array  // Obtiene el array de los proveedores
                $suppliers_emails = $wpdb->get_results("SELECT id, supplier_name, supplier_email FROM " . esc_sql($tabla_mcisoe_suppliers) . " WHERE supplier_name != ''");
                $items_exists     = 0; // Set $items_exists to increment later if email must sent  // Establece $items_exists para incrementar después si el email se debe enviar

                // Foreach for send email several times  // Bucle para enviar email varias veces

                foreach ($suppliers_emails as $row) {
                    $supplier_name  = sanitize_text_field($row->supplier_name);
                    $supplier_email = sanitize_text_field($row->supplier_email);

                    if (!empty($supplier_name) && !empty($supplier_email)) {
                        $message .= '<h4>';
                        $message .= __("Order Send to: ", "supplier-order-email");
                        $message .= $supplier_name;
                        $message .= '</h4>';
                    } // end if Send order to:

                    // Initzialitze $order_total value
                    $order_total = 0;

                    foreach ($items as $item) { // Loop through ordered items  // Bucle items del pedido

                        // Initzialitze the print_items value
                        $print_items = "";
                        $separator   = " --> ";
                        $product_qty = sanitize_text_field($item['qty']); // Get Quantity  // Obtener cantidad
                        $product_qty = $product_qty . " " . __('unit/s', 'supplier-order-email');

                        // Get SKU  // Obtener SKU
                        $product_complete = $item->get_product(); // Get complete product from item

                        $product_sku = sanitize_text_field($product_complete->get_sku()); // Get sku from product  // Obtener SKU
                        if (!empty($product_sku)) {
                            $product_sku = $separator . "Ref: " . $product_sku;
                        } else { $product_sku = "";}

                        $product_name = sanitize_text_field($item['name']); // Get name  // Obtener nombre
                        $product_name = $separator . $product_name;

                        // START Premium product Fields////////////////////////////////////////////////////////////////////////
                        if (password_verify("g756eyTRk51dJ?&k_)m876", $get_pass_premium_form_sequre)) { // Check password premium
                            // Get Attributes and attributes in variations
                            $attributes = null;

                            // load meta data - product attributes
                            foreach ($item->get_meta_data() as $metaData) {
                                $separator = " --> ";

                                $attribute = $metaData->get_data();

                                // Get and prepare attributes
                                $clave = sanitize_text_field($attribute['key']);
                                $clave = str_replace('pa_', '', $clave);
                                $clave = ucfirst($clave); // First letter Uppercase
                                $pos   = strpos($clave, '_'); // Search "_" at start of string

                                $valor = sanitize_text_field($attribute['value']);

                                // Set variable for attributes if string not start by "_"
                                if ($pos < 1 && !is_numeric($pos)) {
                                    $attributes .= $separator . $clave . ": " . $valor;
                                }
                            } //end foreach get attributes

                            // Get EAN
                            if ($get_show_ean == '1') {
                                $label_ean   = __('EAN:', 'supplier-order-email');
                                $product_ean = sanitize_text_field($product_complete->get_meta('_wpm_gtin_code'));
                                if (!empty($product_ean)) {
                                    $product_ean = $separator . $label_ean . $product_ean;
                                } else { $product_ean = "";}
                            }

                            // Get line price item
                            if ($get_show_price_items == '1') {
                                $label_price_item = __('Price:', 'supplier-order-email');
                                $price_item       = $item['total'] + $item['total_tax'];
                                $price_item       = round($price_item, 2);
                                if (!empty($item['total'])) {
                                    $price_item = $separator . $label_price_item . "" . $price_item . " " . get_woocommerce_currency_symbol() . " ";
                                } else { $price_item = "";}
                            }

                        } // End if password verify

                        // END Premium product Fields////////////////////////////////////////////////////////////////////////

                        global $product; // Get supplier primary taxonomy if exists (Yoast SEO)  // Obtener la taxonomía primaria del proveedor si existe (Yoast SEO)
                        $taxonomy = 'supplier';

                        //Condition if Yoast SEO plugin is active //Condición si el plugin Yoast SEO está activo
                        if (!function_exists('is_plugin_active')) {
                            include_once ABSPATH . 'wp-admin/includes/plugin.php';
                        }
                        if (is_plugin_active('wordpress-seo/wp-seo.php')) {
                            $primary_cat_id = yoast_get_primary_term_id($taxonomy, $item->get_product_id());
                        } else {
                            $primary_cat_id = false;
                        }

                        if (isset($primary_cat_id) && is_plugin_active('wordpress-seo/wp-seo.php') && $primary_cat_id !== false && $primary_cat_id !== "") {

                            $primary_cat      = get_term($primary_cat_id, $taxonomy);
                            $primary_cat_name = $primary_cat->name;
                            $supplier         = sanitize_text_field(strip_tags($primary_cat_name)); // Strip html tags  // Quitar etiquetas html

                        } else {
                            //If Yoast is inactive or not has primary category
                            $item_taxonomy_terms = get_the_terms($item->get_product_id(), 'supplier');
                            $first_cat_id        = ($item_taxonomy_terms[0]->name);
                            $supplier            = sanitize_text_field(strip_tags($first_cat_id)); // Strip html tags  // Quitar etiquetas html
                        }

                        // Print product line if supplier is this  // Imprime línea de producto si es este el proveedor
                        if ($supplier_name == $supplier) {

                            $print_items .= $product_qty . $product_sku . $product_name . $attributes . $price_item . $product_ean . '<br>';
                            $message .= $print_items;
                            $items_exists = $items_exists + 1; // Increment $ items_exists to decide later if email is sent  // incrementar $items_exists para decidir después si se envía email

                            // START Premium prices fields //////////////////////////////////////////////////////////////////
                            if (password_verify("g756eyTRk51dJ?&k_)m876", $get_pass_premium_form_sequre)) { // Check password premium

                                // Calculate Order total by supplier (PREMIUM)
                                if ($get_show_order_total == '1') {
                                    $order_total = $order_total + ($item['total'] + $item['total_tax']); // Sum line item value to $order_total
                                } else { $order_total = "";}
                            }
                            // END Premium prices fields //////////////////////////////////////////////////////////////////
                        }

                    } // end foreach items

                    // START Premium prices fields //////////////////////////////////////////////////////////////////
                    // Add line $order_total (PREMIUM)
                    if ($get_show_order_total == '1' && $order_total > 0) {
                        $order_total = "<br>" . __('Total Order price', 'supplier-order-email') . " (" . $supplier_name . "): " . round($order_total, 2) . " " . get_woocommerce_currency_symbol() . "<br>";
                        $message .= $order_total;
                    }
                    // END Premium prices fields //////////////////////////////////////////////////////////////////

                    $message .= '-------------------------------';

                } // end Foreach Supplier array

            } // if $order_id

        } elseif ($get_replace_address == 0 && empty($order->get_shipping_address_1())) { // end if checkbox selection && address exists
            $message = __("
            The 'Supplier Order Email' Plugin has sent correctly an order email to suppliers but this order has no shipping address.<br><br>
            This may be caused by manual ordering without a shipping address.<br><br>
            - Make an order from the public part of your store. (When the buyer only fills in one address, woocommerce will use that address also as the shipping address and emails to suppliers will be sent correctly).<br><br>
            - If you place a manual order from the backofficce make sure to fill in the shipping address.<br><br>
            - There is also the option to check the box:<br>
            'Use the customer's billing address if the order does not have a shipping address' in the Plugin.<br>
            If the box is checked and there is no shipping address, the plugin will take the billing address for the email to suppliers.<br><br>
            If the products in the order are virtual products, woocommerce does not request shipping data from the customer.<br>
            You can then force woocommerce to always request shipping data by adding the following code to your theme's functions.php file:<br>
            add_filter('woocommerce_cart_needs_shipping_address', '__return_true', 50);<br><br>
            If you have any questions, you can ask our support at soporte@mci-desarrollo.es<br><br>
            ", "supplier-order-email");

            // Count order items to decide if send email // Contar si hay items de pedido para decidir el envío de email //////////////////////////////////////
            $order = wc_get_order($order_id);

// Access to order items  // Accedemos a los items del pedido
            $items = $order->get_items(); // Get items of Order

            // Get supplier array  // Obtiene el array de los proveedores
            $suppliers_emails = $wpdb->get_results("SELECT id, supplier_name, supplier_email FROM " . esc_sql($tabla_mcisoe_suppliers) . " WHERE supplier_name != ''");

            $items_exists = 0; // Set $items_exists to increment later if email must sent  // Establece $items_exists para incrementar después si el email se debe enviar

            // Foreach for send email several times  // Bucle para enviar email varias veces
            foreach ($suppliers_emails as $row) {
                $supplier_name  = sanitize_text_field($row->supplier_name);
                $supplier_email = sanitize_text_field($row->supplier_email);

                foreach ($items as $item) { // Loop through ordered items  // Bucle items del pedido
                    global $product; // Get supplier primary taxonomy if exists (Yoast SEO)  // Obtener la taxonomía primaria del proveedor si existe (Yoast SEO)
                    $taxonomy       = 'supplier';
                    $primary_cat_id = get_post_meta($item->get_product_id(), '_yoast_wpseo_primary_' . $taxonomy, true);

                    if ($primary_cat_id) {
                        $primary_cat = get_term($primary_cat_id, $taxonomy);
                        if (isset($primary_cat->name)) {
                            $supplier = $primary_cat->name;
                        }
                    } else { // Get Supplier taxonomy if not exists several taxonomies (Yoast SEO)  // Obtener la taxonomía del proveedor si no existen varias taxonomias (Yoast SEO)
                        $supplier = get_the_term_list($item->get_product_id(), 'supplier'); // Get Supplier  // Obtener Proveedor
                        $supplier = sanitize_text_field(strip_tags($supplier)); // Strip html tags  // Quitar etiquetas html
                    }

                    if ($supplier_name == $supplier) { // Print product line if supplier is this  // Imprime línea de producto si es este el proveedor
                        $items_exists = $items_exists + 1; // Increment $ items_exists to decide later if email is sent  // incrementar $items_exists para decidir después si se envía email
                    }
                } // end foreach items
            } // end Foreach Supplier array

            /////////////////////////////////////////End Count items //////////////////////////////////////////////////////////////////////////////////

        } // end elseif

// Set email variables  // Establece las variables del email

        $to = sanitize_email(get_option('admin_email'));
        if (
            (!empty($order->get_shipping_address_1()) && $get_select_email_admin == 1) ||
            (empty($order->get_shipping_address_1()) && $get_replace_address == 1)
        ) {
            $subject = __("Order sent to suppliers", "supplier-order-email");
        } else {
            $subject = __("Order shipping address problems", "supplier-order-email");
        }
        $headers[] = 'Content-Type: text/html';
        $headers[] = 'From: ' . sanitize_text_field(get_bloginfo()) . ' <' . sanitize_text_field(get_option('admin_email')) . '>';
        $message   = $message;

// Send email  // Envía el correo electrónico
        if (
            ($get_select_email_admin == 0 && !empty($order->get_shipping_address_1())) ||
            ($get_select_email_admin == 0 && empty($order->get_shipping_address_1()) && $get_replace_address == 1) ||
            ($items_exists <= 0)
        ) {} else {
            wp_mail($to, $subject, $message, $headers);
        }

    } // end trigger
} // end Class