<?php

if (!defined('ABSPATH')) {
    exit;
}
require 'get-db-mcisoe.php';
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?php __('Supplier Order Email', 'supplier-order-email');?></title>
</head>

<body>

  <p><?php esc_html_e('Do you want the Premium version? ', 'supplier-order-email');?> <a
      href="https://mci-desarrollo.es/supplier-order-email-premium" target="_blank">
      <?php esc_html_e('Get it', 'supplier-order-email');?></a></p>
  <p><?php esc_html_e('Do you need we customize the plugin for you? Send us an email to', 'supplier-order-email');?> <a
      href="mailto:soporte@mci-desarrollo.es">soporte@mci-desarrollo.es</a></p>
  <p><?php esc_html_e('Thank you very much for using our plugin. ', 'supplier-order-email');?>
    <a href='https://wordpress.org/support/plugin/supplier-order-email/reviews/#new-post' target="_blank"
      rel="nofollow">
      <b><?php esc_html_e('You will make us very happy if you value our plugin  ', 'supplier-order-email');?></b> <span
        class="stars">★ ★ ★ ★ ★</span>
  </p>
  </a>
  <div class="right-column-mcisoe">
    <div class="results_table">
      <table>
        <thead>
          <th><?php esc_html_e('Supplier', 'supplier-order-email');?></th>
          <th><?php esc_html_e('Email', 'supplier-order-email');?></th>
          <th></th>
          <th></th>
        </thead>


        <?php

if (!empty($get_supplier_data)) { // If results not empty
    foreach ($get_supplier_data as $row) {?>
        <tr>
          <td>
            <?php echo $row->supplier_name ?>
          </td>
          <td>
            <?php echo $row->supplier_email ?>
          </td>

          <td>
            <a
              href="admin.php?page=supplier-order-email&action=edit&id=<?php echo $row->id; ?>"><?php esc_html_e('Edit', 'supplier-order-email');?></a>
          </td>

          <td>
            <a
              href="admin.php?page=supplier-order-email&action=delete&id=<?php echo $row->id; ?>"><?php esc_html_e('Delete', 'supplier-order-email');?></a>
          </td>



        </tr>
        <?php } // end foreach

    include 'edit-mcisoe.php'; // include edit page

} else {echo '<td>';
    esc_html_e('There are no providers yet', 'supplier-order-email');
    echo '</td>';}?>
      </table>
    </div>
  </div>

  <div class="left-column-mcisoe">
    <div class="new_inputs">
      <h3><?php esc_html_e('Add New Supplier', 'supplier-order-email');?></h3>


      <form method="post" action="">
        <label for="supplier_name"><?php esc_html_e('Supplier Name', 'supplier-order-email')?></label>
        </label>
        <input type="text" name="supplier_name" id="supplier_name"
          placeholder="<?php esc_html_e('Name', 'supplier-order-email')?>">

        <br><br>

        <label for="supplier_email"><?php esc_html_e('Supplier Email', 'supplier-order-email')?></label>
        <input type="email" name="supplier_email" id="supplier_email"
          placeholder="<?php esc_html_e('supplier@supplier.com', 'supplier-order-email');?>">

        <input type="submit" value="<?php esc_html_e('New Supplier', 'supplier-order-email');?>" class="mcisoe_btn"
          name="new-supplier-button">

      </form>
      <?php require 'insert-mcisoe.php';?>
    </div>

    <form method="post" action="">

      <?php wp_nonce_field('mcisoe_nonce_emails', 'mcisoe_nonce_emails');?>
      <input type="hidden" name="action" id="action" value="mcisoe_nonce_emails">

      <div class="form-supplier-subject-header">
        <label for="subject"><?php esc_html_e('Email subject', 'supplier-order-email')?></label>
        <input type="text" name="subject" id="subject" value="<?php if (!empty($get_subject)) {
    echo esc_html($get_subject);
} else {
    esc_html_e('New order to send', 'supplier-order-email');
}?>">
        <p class="mci_annotation">
          <?php esc_html_e('Optional tags: {order_number} in premium version', 'supplier-order-email');?>
        </p>
      </div>

      <div class="form-supplier-text-header">
        <label for="intro"><?php esc_html_e('Email introductory text', 'supplier-order-email')?></label>
        <textarea name="intro" id="intro" rows="4" columns="3" maxlength="390">
<?php if (!empty($get_intro)) {echo esc_html($get_intro);
} else {esc_html_e('Hello, we need you to send this order directly to the end customer without valued documents. Thank you.', 'supplier-order-email');
}?></textarea>

        <br>

        <h4 class="options">
          <input type="checkbox" name="select_email_admin" id="select_email_admin"
            <?php if ($get_select_email_admin == 1) {echo "checked";}?>>
          <label
            for="select_email_admin"><?php esc_html_e('Send email to admin when send emails to suppliers', 'supplier-order-email');?></label>
        </h4>

        <h4 class="options">
          <input type="checkbox" name="replace_address" id="replace_address"
            <?php if ($get_replace_address == 1) {echo "checked";}?>>
          <label
            for="replace_address"><?php esc_html_e('Use the customer´s billing address if the order does not have a shipping address', 'supplier-order-email');?></label>
        </h4>

        <!-- START Premium checkboxes ////////////////////////////////////////////////////////////////////  -->
        <?php

$premium_checks = false;

if (!empty($get_pass_premium_form_sequre)) {
    if (password_verify("g756eyTRk51dJ?&k_)m876", $get_pass_premium_form_sequre)) {$premium_checks = true;}
}?>
        <h4 class="options">
          <input type="checkbox" name="show_order_number" id="show_order_number"
            <?php if (isset($get_show_order_number)) {if ($get_show_order_number == 1) {echo "checked";}}if ($premium_checks == false) {echo " disabled";}?>>
          <label for="show_order_number"
            <?php if ($premium_checks == false) {echo 'class="option_disabled"';}?>><?php esc_html_e('Show the order number in emails (premium version)', 'supplier-order-email');?></label>
        </h4>

        <h4 class="options">
          <input type="checkbox" name="show_customer_email" id="show_customer_email"
            <?php if (isset($get_show_customer_email)) {if ($get_show_customer_email == 1) {echo "checked";}}if ($premium_checks == false) {echo " disabled";}?>>
          <label for="show_customer_email"
            <?php if ($premium_checks == false) {echo 'class="option_disabled"';}?>><?php esc_html_e('Show the customer email address in emails (premium version)', 'supplier-order-email');?></label>
        </h4>

        <h4 class="options">
          <input type="checkbox" name="show_notes" id="show_notes"
            <?php if (isset($get_show_notes)) {if ($get_show_notes == 1) {echo "checked";}}if ($premium_checks == false) {echo " disabled";}?>>
          <label for="show_notes"
            <?php if ($premium_checks == false) {echo 'class="option_disabled"';}?>><?php esc_html_e('Show customer notes in emails (premium version)', 'supplier-order-email');?></label>
        </h4>

        <h4 class="options">
          <input type="checkbox" name="show_price_items" id="show_price_items"
            <?php if (isset($get_show_price_items)) {if ($get_show_price_items == 1) {echo "checked";}}if ($premium_checks == false) {echo " disabled";}?>>
          <label for="show_price_items"
            <?php if ($premium_checks == false) {echo 'class="option_disabled"';}?>><?php esc_html_e('Show price of products in emails (premium version)', 'supplier-order-email');?></label>
        </h4>

        <h4 class="options">
          <input type="checkbox" name="show_order_total" id="show_order_total"
            <?php if (isset($get_show_order_total)) {if ($get_show_order_total == 1) {echo "checked";}}if ($premium_checks == false) {echo " disabled";}?>>
          <label for="show_order_total"
            <?php if ($premium_checks == false) {echo 'class="option_disabled"';}?>><?php esc_html_e('Show the total price of all products in emails (premium version)', 'supplier-order-email');?></label>
        </h4>

        <h4 class="options">
          <input type="checkbox" name="show_ean" id="show_ean"
            <?php if (isset($get_show_ean)) {if ($get_show_ean == 1) {echo "checked";}}if ($premium_checks == false) {echo " disabled";}?>>
          <label for="show_ean"
            <?php if ($premium_checks == false) {echo 'class="option_disabled"';}?>><?php esc_html_e('Show the product EAN numbers in emails - Compatible with the plugin "Product GTIN (EAN, UPC, ISBN) for WooCommerce" (premium version)', 'supplier-order-email');?></label>
        </h4>

        <h4 class="options">
          <input type="checkbox" name="hide_customer" id="hide_customer"
            <?php if (isset($get_hide_customer)) {if ($get_hide_customer == 1) {echo "checked";}}if ($premium_checks == false) {echo " disabled";}?>>
          <label for="hide_customer"
            <?php if ($premium_checks == false) {echo 'class="option_disabled"';}?>><?php esc_html_e('Hide all customer data in order emails (premium version)', 'supplier-order-email');?></label>
        </h4>

        <h4 class="options">
          <label for="header_color"
            <?php if ($premium_checks == false) {echo 'class="option_disabled"';}?>><?php esc_html_e('Header color to emails (premium version)', 'supplier-order-email');?></label>
          <input type="color" name="header_color" id="header_color"
            value="<?php if (!empty($get_header_color)) {echo esc_html($get_header_color);} else {echo "#5480aa";}?>">
        </h4>

        <br>
        <h4 class="options">
          <label for="pass"><?php esc_html_e('Premium version code:', 'supplier-order-email');?></label>
          <input type="password" name="pass" id="pass" minlength="20" class="form-control premium-password">
        </h4>


        <!-- END Premium checkboxes ///////////////////////////////////////////////////////////////////// -->

        <div class="instructions-mcisoe">

          <input class="mcisoe_btn" type="submit" name="submit"
            value="<?php esc_html_e('Save', 'supplier-order-email');?>">

    </form>

    <p><?php echo __('• You have to create new suppliers in: Desktop / Products / Suppliers.<br>
 • You can select the supplier of the products in a new selection box that appears when editing each product.<br><br>
 When an order changes to "Processing" status, an automatic order email is sent to the supplier to send the corresponding products to the customer.<br>
 Note: Write the "Supplier name" exactly respecting upper and lower case.',
    'supplier-order-email') ?></p>

  </div>
  </div>
  </div>







</html>