<?php

if (!defined('ABSPATH')) {
    exit;
}

// Get order number  // Obtiene el número de pedido
if (isset($_POST['order_number']) && !empty($_POST['order_number'])) {
    $order_id = sanitize_text_field($_POST['order_number']);
} else {
    $order_id = "";
}

// Get form data & save in DB  // Obtiene los datos del formulario y los guarda en la base de datos
if (isset($_POST['mcisoe_nonce_emails']) && wp_verify_nonce($_POST['mcisoe_nonce_emails'], 'mcisoe_nonce_emails')) { // Get & apply nonce

    if (isset($_POST['submit'])) { // Perform the actions only if the Submit button has pressed  // Realiza las acciones solamente si se ha pulsado el botón Submit

        global $wpdb;
        $tabla_mcisoe_suppliers = sanitize_text_field($wpdb->prefix) . 'mcisoe_suppliers'; // Get table name of suppliers  // Obtiene el nombre de la tabla proveedores
        $tabla_mcisoe_options   = sanitize_text_field($wpdb->prefix) . 'mcisoe_options'; // Get table name of options  // Obtiene el nombre de la tabla opciones

        // Save Email Subject

        if (isset($_POST['subject'])
            && !empty($_POST['subject'])) {

            $soe_subject = sanitize_text_field($_POST['subject']);

            $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_suppliers) . " SET supplier_value = '" . esc_sql($soe_subject) . "' WHERE supplier_key = 'email_subject'");
        }

        // Save Email Introductory text
        if (isset($_POST['intro'])
            && !empty($_POST['intro'])) {

            $intro_text = sanitize_textarea_field($_POST['intro']);

            $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_suppliers) . " SET supplier_value = '" . esc_sql($intro_text) . "' WHERE supplier_key = 'email_intro'");
        }
        echo '<p class="success">';
        esc_html_e('The data has updated successfully.', 'supplier-order-email');
        echo '</p>';

        // Save Select email admin
        if (isset($_POST['select_email_admin'])) {
            $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_suppliers) . " SET supplier_value=1 WHERE supplier_key='select_email_admin'");
        } else {
            $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_suppliers) . " SET supplier_value=0 WHERE supplier_key='select_email_admin'");
        }

        // Save Replace address
        if (isset($_POST['replace_address'])) {
            $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_suppliers) . " SET supplier_value=1 WHERE supplier_key='replace_address'");
        } else {
            $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_suppliers) . " SET supplier_value=0 WHERE supplier_key='replace_address'");
        }

//  START Premium OPTIONS //////////////////////////////////////////////////////////
        // Get POST form Premium password
        if (isset($_POST['pass']) && strlen($_POST['pass']) > 18 && !empty($_POST['pass'])) {
            $pass_premium_form        = sanitize_text_field($_POST['pass']);
            $pass_premium_form_sequre = password_hash($pass_premium_form, PASSWORD_BCRYPT);

            //Check if option pass exists
            $option_pass_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'pass'");

            // Update or insert pass in database
            if (!$option_pass_exists) {
                $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES (null, 'pass', '" . esc_sql($pass_premium_form_sequre) . "')");
            } else {
                $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci='" . esc_sql($pass_premium_form_sequre) . "' WHERE option_mci='pass'");
            }
        }
        // Get password of database
        $get_pass_premium_form_sequre = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'pass'");
        if (!empty($get_pass_premium_form_sequre)) {
            $get_pass_premium_form_sequre = sanitize_text_field($get_pass_premium_form_sequre[0]->value_mci);

            // Check password premium
            if (password_verify("g756eyTRk51dJ?&k_)m876", $get_pass_premium_form_sequre)) {

                //Create Option show_order_number if not exists
                $option_son_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_order_number'");
                if (!$option_son_exists) {
                    $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES(null, 'show_order_number', '0')");
                }
                // Save Option show_order_number
                if (isset($_POST['show_order_number'])) {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=1 WHERE option_mci='show_order_number'");
                } else {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=0 WHERE option_mci='show_order_number'");
                }

                //Create Option show_ean if not exists
                $option_soean_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_ean'");
                if (!$option_soean_exists) {
                    $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES(null, 'show_ean', '0')");
                }
                // Save Option show_ean
                if (isset($_POST['show_ean'])) {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=1 WHERE option_mci='show_ean'");
                } else {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=0 WHERE option_mci='show_ean'");
                }

                //Create Option show_notes if not exists
                $option_show_notes_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_notes'");
                if (!$option_show_notes_exists) {
                    $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES(null, 'show_notes', '0')");
                }
                // Save Option show_notes
                if (isset($_POST['show_notes'])) {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=1 WHERE option_mci='show_notes'");
                } else {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=0 WHERE option_mci='show_notes'");
                }

                //Create Option show_price_items if not exists
                $option_pi_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_price_items'");
                if (!$option_pi_exists) {
                    $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES(null, 'show_price_items', '0')");
                }

                // Save Option show_price_items
                if (isset($_POST['show_price_items'])) {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=1 WHERE option_mci='show_price_items'");
                } else {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=0 WHERE option_mci='show_price_items'");
                }

                //Create Option show_order_total if not exists
                $option_sot_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_order_total'");
                if (!$option_sot_exists) {
                    $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES(null, 'show_order_total', '0')");
                }
                // Save Option show_order_total
                if (isset($_POST['show_order_total'])) {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=1 WHERE option_mci='show_order_total'");
                } else {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=0 WHERE option_mci='show_order_total'");
                }

                //Create Option header-color
                if (isset($_POST['header_color']) && !empty($_POST['header_color'])) {
                    $header_color = sanitize_hex_color($_POST['header_color']);

                    $option_hc_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'header_color'");
                    if (!$option_hc_exists) {
                        $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES(null, 'header_color', '#5480aa')");
                    }
                    // Save Option header-color
                    if (isset($_POST['header_color']) && $_POST['header_color'] != '#5480aa') {
                        $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci='" . $header_color . "' WHERE option_mci='header_color'");
                    }
                }

                //Create Option show_order_total if not exists
                $option_hide_cust_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'hide_customer'");
                if (!$option_hide_cust_exists) {
                    $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES(null, 'hide_customer', '0')");
                }
                // Save Option show_order_total
                if (isset($_POST['hide_customer'])) {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=1 WHERE option_mci='hide_customer'");
                } else {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=0 WHERE option_mci='hide_customer'");
                }

                //Create Option show_customer_email if not exists
                $option_show_customer_email_exists = $wpdb->query("SELECT option_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_customer_email'");
                if (!$option_show_customer_email_exists) {
                    $wpdb->query("INSERT INTO " . esc_sql($tabla_mcisoe_options) . " VALUES(null, 'show_customer_email', '0')");
                }
                // Save Option show_customer_email
                if (isset($_POST['show_customer_email'])) {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=1 WHERE option_mci='show_customer_email'");
                } else {
                    $wpdb->query("UPDATE " . esc_sql($tabla_mcisoe_options) . " SET value_mci=0 WHERE option_mci='show_customer_email'");
                }

            } // END if password verify
        } // END Premium OPTIONS ///////////////////////////////////////////////////

    } // If Submit
} // End Nonce