<?php



if (!defined('ABSPATH')) {

    exit;

}



if (isset($_POST['mcisoe_nonce_order']) && wp_verify_nonce($_POST['mcisoe_nonce_order'], 'mcisoe_nonce_order')) { // Get & apply nonce



    if (isset($_POST['mcisoe_show_order'])) { // Perform the actions only if the "Show Order" button has pressed  // Realiza las acciones solamente si se ha pulsado el botón "Show Order"



        if ($order_id) {



            // Get $order object from order ID

            $order = wc_get_order($order_id);



            echo '<h3>';

            esc_html_e('ORDER nº: ', 'supplier-order-email');

            echo $order_id;

            echo '</h3>';

            if ($order) {

                // Print Shipping Customer data   // Imprime los datos de envío del comprador

                echo '<h3>';

                esc_html_e('Send the order to: ', 'supplier-order-email');

                echo '</h3>';

                echo sanitize_text_field($order->get_shipping_first_name()) . esc_html(' ');

                echo sanitize_text_field($order->get_shipping_last_name()) . '<br>';

                if (sanitize_text_field($order->get_shipping_company())) {echo sanitize_text_field($order->get_shipping_company()) . '<br>';} // Print if is true

                echo sanitize_text_field($order->get_shipping_address_1()) . '<br>';

                if (sanitize_text_field($order->get_shipping_address_2())) {echo sanitize_text_field($order->get_shipping_address_2()) . '<br>';} // Print if is true

                echo sanitize_text_field($order->get_shipping_postcode()) . '<br>';

                echo sanitize_text_field($order->get_shipping_city()) . '<br>';

                if (strlen($order->get_shipping_state()) > 1) {echo sanitize_text_field($order->get_shipping_state()) . '<br>';} // Print Province if > 1  // Imprime Provincia si tiene más de 1 caracter

                echo sanitize_text_field($order->get_billing_phone()) . '<br><br>';



// Access to order items  // Accedemos a los items del pedido

                $items = $order->get_items(); // Get items of Order



                // Defines the suppliers  // Define los proveedores

                $suppliers_emails = array(

                    $get_name_supplier_1 => $get_email_supplier_1,

                    $get_name_supplier_2 => $get_email_supplier_2,

                    $get_name_supplier_3 => $get_email_supplier_3);



                //Foreach for define what is supplier email  // Bucle para definir cuál es el email del proveedor

                foreach ($suppliers_emails as $supplier_name => $supplier_email) {



                    $items = $order->get_items(); // Get items of Order  // Obtener los items del pedido



                    // Get and print lines of item   // Obtener e imprimir líneas de items

                    if (!empty($supplier_name) && !empty($supplier_email)) {

                        echo '<h3>';

                        esc_html_e('Products: ', 'supplier-order-email');

                        echo $supplier_name;

                        echo '</h3>';

                    }

                    foreach ($items as $item) { // Loop through ordered items  // Bucle items del pedido

                        // Initzialitze the print_items value

                        $print_items = "";



                        $product_qty = $item['qty']; // Get Quantity  // Obtener Cantidad



                        // Get SKU

                        $product_complete = $order->get_product_from_item($item); // Get complete product from item  // Obtener producto completo desde el item

                        $product_sku      = sanitize_text_field($product_complete->get_sku()); // Get sku from product  // Obtener SKU

                        if (!empty($product_sku)) {$label_sku = "--> Ref: ";} else { $label_sku = ' ';} // save $label_sku if there is Product reference  // Guardar $label_sku si hay Referencia de producto



                        $product_name = sanitize_text_field($item['name']); // Get name  // Obtener nombre



                        $supplier = get_the_term_list($item->get_product_id(), 'supplier'); // Get Supplier  // Obtener Proveedor

                        $supplier = $supplier = strip_tags($supplier); // Strip html tags  // Quitar etiquetas html



                        if ($supplier_name == $supplier) { // Print product line if supplier is this  // Imprime línea de producto si es este el proveedor

                            $print_items .= sanitize_text_field($product_qty) . ' un. ' . $label_sku . sanitize_text_field($product_sku) . ' --> ' . sanitize_text_field($product_name) . '<br>';

                        }

                        echo $print_items;



                    } // end foreach items

                } // End foreach suppliers array

            } else {

                echo '<p class="error">';

                esc_html_e('Order number not exists. Check it and write it again', 'supplier-order-email');} // End if (order)

            echo '</p>';

        } // End if ($order_id)

    } // End "Show Order" button

} // End Nonce

